# CVM

A non-commercial, fully open-source VPS management panel.

## Current status

Definitely not ready for production use yet. Check back later!

## Roadmap

TBD. Initially, only QEMU/KVM will be supported. Support for other virtualization and/or containerization technologies may follow later, if there's enough demand.

## Contributing

Contributions are very welcome! Please keep the following things in mind:

- "Contributions" don't just include code commits, they also include bug reports, translations, documentation fixes, triaging, and so on.
- Anybody is welcome (and encouraged!) to leave code reviews on Pull Requests. You don't need to be a maintainer!
- You agree that any contributions you make, are licensed under both the WTFPL and the CC0 (which more or less means they are public domain). You keep copyright ownership over your work.
- If you're making a Pull Request, make sure that each PR has its own branch in your fork, so that commits between PRs don't get mixed up.
- Because of the security-sensitive nature of CVM, we very tightly control who can directly commit to the repository, even for regular contributors. This is not because we don't trust the quality of your commits, but as an extra layer of security and review.

We welcome contributions from developers of any experience level, *but* we do have a very high code quality standard. Don't worry if you're not sure how to reach that standard; when you submit a PR, we'll help you get there by doing a code review.

This does mean that you should only create a Pull Request if you're willing to work on incrementally improving it before it gets merged! "Hit-and-run" PRs will very likely be closed.

If you're planning on submitting a large or architecturally-significant PR, please open an issue first to ask whether there's interest in the change - otherwise, you might end up doing a lot of work for nothing.

## Code of Conduct

Quite simple, really:

- The goal is for this project to be collaborative, and welcoming to contributors of any demographic and experience level. Arrogance, elitism, etc. are therefore not welcome.
- Don't be an asshole. Treat people respectfully. Assume good faith.
- Constructive criticism is fine, personal attacks are not. Don't just tell somebody that they're doing it wrong, help them understand *why*, and how to do it better.
- No bigoted or discriminatory behaviour or remarks. That includes "jokes".
- Anything related to the alt-right or other hateful ideologies, is banned on sight. If you feel the need to explain how your thing "isn't related", it's probably related.

Bans and other repercussions are at the discretion of maintainers.