"use strict";

const budoExpress = require("budo-express");
const path = require("path");

budoExpress({
	port: 8000,
	debug: true,
	expressApp: require("../src/app")(),
	basePath: path.resolve(__dirname, ".."),
	entryPath: "src/client/index.jsx",
	publicPath: "public",
	bundlePath: "js/bundle.js",
	livereload: "**/*.{css,html}",
	browserify: {
		extensions: [".jsx"],
		plugin: [
			"browserify-hmr"
		],
		transform: [
			["babelify", {
				presets: ["@babel/preset-env", "@babel/preset-react"],
				// plugins: ["react-hot-loader/babel"]
			}]
		]
	},
});